# Ethereum API endpoints

Below is a list of Ethereum methods grouped by their context.

## Getting Blocks

Retrieves information from a particular block in the blockchain.

* [eth\_getBlockByHash](/node-rpc/ethereum-api-endpoints/eth_getblockbyhash.md)&#x20;
* [eth\_blocknumber](/node-rpc/ethereum-api-endpoints/eth_blocknumber.md)&#x20;
* [eth\_getBlockByNumber](/node-rpc/ethereum-api-endpoints/eth_getblockbynumber.md)&#x20;
* [eth\_getBlockTransactionCountByHash](/node-rpc/ethereum-api-endpoints/eth_getblocktransactioncountbyhash.md)&#x20;
* [eth\_getBlockTransactionCountByNumber](/node-rpc/ethereum-api-endpoints/eth_getblocktransactioncountbynumber.md)

## Reading Transactions

Retrieves information on the state data for addresses regardless of whether it is a user or a smart contract.

* [eth\_getTransactionByHash](/node-rpc/ethereum-api-endpoints/eth_gettransactionbyhash.md)
* [eth\_getTransactionByBlockHashAndIndex](/node-rpc/ethereum-api-endpoints/eth_gettransactionbyblockhashandindex.md)
* [eth\_getTransactionByBlockNumberAndIndex](/node-rpc/ethereum-api-endpoints/eth_gettransactionbyblocknumberandindex.md)
* [eth\_getTransactionReceipt](/node-rpc/ethereum-api-endpoints/eth_gettransactionreceipt.md)
* [eth\_getTransactionCount](/node-rpc/ethereum-api-endpoints/eth_gettransactioncount.md)

## Writing Transactions & EVM Execution

Allows developers to send ETH from one address to another, write data on-chain, and interact with smart contracts.

* [eth\_sendRawTransaction](/node-rpc/ethereum-api-endpoints/eth_sendrawtransaction.md)
* [eth\_call](/node-rpc/ethereum-api-endpoints/eth_call.md)

## Account Information

Returns information regarding an address's stored on-chain data.

* [eth\_getCode](/node-rpc/ethereum-api-endpoints/eth_getcode.md)
* [eth\_getBalance](/node-rpc/ethereum-api-endpoints/eth_getbalance.md)
* [eth\_accounts](/node-rpc/ethereum-api-endpoints/eth_accounts.md)
* [eth\_getStorageAt](/node-rpc/ethereum-api-endpoints/eth_getstorageat.md)
* [eth\_getProof](/node-rpc/ethereum-api-endpoints/eth_getproof.md)

## Event Logs

Returns logs which are records that denote/provide context on specific events within a smart contract, like a token transfer or a change of ownership, for example.

* [eth\_getLogs](/node-rpc/ethereum-api-endpoints/eth_getlogs.md)
* [eth\_newFilter](/node-rpc/ethereum-api-endpoints/eth_newfilter.md)
* [eth\_newPendingTransactionFilter](/node-rpc/ethereum-api-endpoints/eth_newpendingtransactionfilter.md)
* [eth\_newBlockFilter](/node-rpc/ethereum-api-endpoints/eth_newblockfilter.md)
* [eth\_getFilterChanges](/node-rpc/ethereum-api-endpoints/eth_getfilterchanges.md)
* [eth\_getFilterLogs](/node-rpc/ethereum-api-endpoints/eth_getfilterlogs.md)
* [eth\_uninstallFilter](/node-rpc/ethereum-api-endpoints/eth_uninstallfilter.md)

## Chain Information

Returns information on the Ethereum network and internal settings.

* [eth\_chainId](/node-rpc/ethereum-api-endpoints/eth_chainid.md)
* [eth\_protocolVersion](/node-rpc/ethereum-api-endpoints/eth_protocolversion.md)
* [net\_listening](/node-rpc/ethereum-api-endpoints/net_listening.md)
* [net\_version](/node-rpc/ethereum-api-endpoints/net_version.md)

## Getting Uncles

Returns information on uncle blocks which are network rejected blocks and replaced by a canonical block instead.

* [eth\_getUncleCountByBlockHash](/node-rpc/ethereum-api-endpoints/eth_getunclecountbyblockhash.md)
* [eth\_getUncleByBlockNumberAndIndex](/node-rpc/ethereum-api-endpoints/eth_getunclebyblocknumberandindex.md)
* [eth\_getUncleByBlockHashAndIndex](/node-rpc/ethereum-api-endpoints/eth_getunclebyblockhashandindex.md)
* [eth\_getUncleCountByBlockNumber](/node-rpc/ethereum-api-endpoints/eth_getunclecountbyblocknumber.md)

## Gas Estimation

Returns information on the Ethereum network gas estimates.

* [eth\_estimateGas](/node-rpc/ethereum-api-endpoints/eth_estimategas.md)
* [eth\_gasPrice](/node-rpc/ethereum-api-endpoints/eth_gasprice.md)
* [eth\_feeHistory](/node-rpc/ethereum-api-endpoints/eth_feehistory.md)
* [eth\_maxPriorityFeePerGas](/node-rpc/ethereum-api-endpoints/eth_maxpriorityfeepergas.md)
* [eth\_createAccessList](/node-rpc/ethereum-api-endpoints/eth_createaccesslist.md)

## Web3

Returns Ethereum network configuration information.

* [web3\_clientVersion](/node-rpc/ethereum-api-endpoints/web3_clientversion.md)
* [web3\_sha3](/node-rpc/ethereum-api-endpoints/web3_sha3.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.noderpc.xyz/node-rpc/ethereum-api-endpoints.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
